For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
DeveloperAcademyCommunityStatus
    • Overview
    • API Credentials
    • Errors
    • Legacy & Deprecated APIs
  • Events API
    • Chat Markup
    • Rate Limits
    • Message Delivery
  • (Beta) Conversations API
      • GETList conversation messages
      • GETList response messages
      • POSTSubmit feedback
  • Data API
    • GETList conversations
    • GETList interactions
    • GETList plugins calls
    • GETList Plugin Resources
    • GETList Users
  • Webhook Listeners
  • Content Gateway
    • Overview
    • Integration Strategies
    • Starter Code
    • Verifying Your Build
    • Connecting Your Gateway to Moveworks
    • Authentication
    • How Permissions Work
    • Common Pitfalls
    • Operational Guide
    • Errors
    • Supported MIME Types
  • Legacy Gateways
    • Authentication
    • Response Options
    • Field Types
    • Form Gateway Errors
DeveloperAcademyCommunityStatus
(Beta) Conversations APIMessages

List response messages

||View as Markdown|
GET
https://api.moveworks.ai/rest/v1beta1/conversations/:conversation_id/responses/:response_id/messages
GET
/rest/v1beta1/conversations/:conversation_id/responses/:response_id/messages
$curl https://api.moveworks.ai/rest/v1beta1/conversations/conv_32bt7BMLhLyVzTUjfi35N/responses/resp_32bt7rXXugeJjvE3pQzOk/messages \
> -H "Assistant-Name: acmecorp-conversations-rest-api" \
> -H "Authorization: Bearer <token>"
1{
2 "messages": [
3 {
4 "message_id": "msg_32bt8vagXAoRwRLIdI2Oj",
5 "conversation_id": "conv_32bt7BMLhLyVzTUjfi35N",
6 "response_id": "resp_32bt7rXXugeJjvE3pQzOk",
7 "actor": "ASSISTANT",
8 "content": {
9 "type": "COMMONMARK_TEXT",
10 "commonmark_text": {
11 "text": "John Doe reports to Jane Smith in the Engineering department."
12 }
13 },
14 "created_at": "2025-01-20T10:00:01Z",
15 "citations": [
16 {
17 "citation_id": "cite_32bt9xYZabcDEFghijk",
18 "url": "https://company.com/users/123",
19 "display": {
20 "title": {
21 "type": "COMMONMARK_TEXT",
22 "commonmark_text": {
23 "text": "John Doe"
24 }
25 },
26 "body": {
27 "type": "COMMONMARK_TEXT",
28 "commonmark_text": {
29 "text": "John Doe reports to Jane Smith in the Engineering department."
30 }
31 },
32 "attributes": [
33 {
34 "key": "EMAIL",
35 "value": "johndoe@company.com"
36 },
37 {
38 "key": "MANAGER",
39 "value": "Jane Smith"
40 }
41 ]
42 }
43 }
44 ],
45 "content_references": [
46 {
47 "citation_id": "cite_32bt9xYZabcDEFghijk",
48 "offset": 0
49 },
50 {
51 "citation_id": "cite_32bt9xYZabcDEFghijk",
52 "offset": 20
53 }
54 ],
55 "feedback": {
56 "helpful": {
57 "callback_id": "eyJhY3Rpb24iOiJoZWxwZnVsIi4uLn0"
58 },
59 "unhelpful": {
60 "callback_id": "eyJhY3Rpb24iOiJ1bmhlbHBmdWwiLi4ufQ"
61 }
62 }
63 },
64 {
65 "message_id": "msg_32bt8vagXAoRwRLIdI2Oj",
66 "conversation_id": "conv_32bt7BMLhLyVzTUjfi35N",
67 "response_id": "resp_32bt7rXXugeJjvE3pQzOk",
68 "actor": "USER",
69 "content": {
70 "type": "PLAIN_TEXT",
71 "plain_text": {
72 "text": "Who does John Doe report to?"
73 }
74 },
75 "created_at": "2025-01-20T10:00:00Z"
76 }
77 ]
78}

Retrieves all messages associated with a specific response (both the user’s input message and all assistant reply messages).

Was this page helpful?
Previous

Submit feedback

Next
Built with

Authentication

AuthorizationBearer

JWT bearer token authentication. Obtain an access token from the Moveworks auth endpoint and include it in the Authorization header as ‘Bearer <token>’.

Path parameters

conversation_idstringRequired

A base-62 identifier prefixed by a short resource type

response_idstringRequired

A base-62 identifier prefixed by a short resource type

Headers

Assistant-NamestringRequired
The Moveworks assistant identifier that was configured for your organization.

Response headers

x-moveworks-root-uuidstring
A unique identifier used to trace your request within the Moveworks system

Response

List of messages for this response
messageslist of objects
Array of messages for this response

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error